Expand my Community achievements bar.

Radically easy to access on brand approved content for distribution and omnichannel performant delivery. AEM Assets Content Hub and Dynamic Media with OpenAPI capabilities is now GA.
SOLVED

503 error - AuthenticationSupport service missing. Cannot authenticate request.

Avatar

Level 2

I uninstalled LiveCycle from my windows machine and restarted it. Now when I try to start CQ6 I get this error when trying to load up any page. Even http://localhost:4502

Problem accessing /. Reason:

    AuthenticationSupport service missing. Cannot authenticate request.

I see the following in my error.log

01.05.2015 22:27:24.577 *ERROR* [FelixStartLevel] com.adobe.granite.repository.impl.SlingRepositoryManager start: Uncaught Throwable trying to access Repository, calling stopRepository() java.lang.IllegalStateException: Segment 55c759a2-2ced-4d9e-af48-45209e6aa829 not found at org.apache.jackrabbit.oak.plugins.segment.file.FileStore.readSegment(FileStore.java:541) at org.apache.jackrabbit.oak.plugins.segment.SegmentTracker.getSegment(SegmentTracker.java:106) at org.apache.jackrabbit.oak.plugins.segment.SegmentId.getSegment(SegmentId.java:97) at org.apache.jackrabbit.oak.plugins.segment.Record.getSegment(Record.java:68) at org.apache.jackrabbit.oak.plugins.segment.MapRecord.getEntry(MapRecord.java:138) at org.apache.jackrabbit.oak.plugins.segment.MapRecord.getEntry(MapRecord.java:170) at org.apache.jackrabbit.oak.plugins.segment.SegmentNodeState.hasChildNode(SegmentNodeState.java:326)

 

How can I resolve this? I can't even access any pages! 

1 Accepted Solution

Avatar

Correct answer by
Level 5

For future visitors, Deleting repoinit folder from my AEM instance fixed this issue for me. Either you can run below command

 rm -rf crx-quickstart/launchpad/config/org/apache/sling/jcr/repoinit OR delete the folder manually. 

 

View solution in original post

19 Replies

Avatar

Community Advisor

Check whether your Apache Sling Authentication Service Bundle is active or not. You can check at localhost:4502/system/console/bundles, if it is not active then try to activate it manually.

If the bundle is active and you still get the issue then other solution is to re-index your repository.

Refer to following article for How to re-index AEM Repository: http://www.wemblog.com/2011/12/how-to-rebuild-index-in-cq5-wem.html

Avatar

Level 4

Hello Team,

I am facing exactly same problem as above. I am thinking to re--index my repository but I am unable to access crx/de..It says service unavailable.

How do I move forward ?

Thanks,

Vish

Avatar

Employee

Hi,

the error is a symptom of a problem in your repository. Most likely during startup there was an exception much earlier, if you find the original exception, it will help you determine the root cause.

Regards,

Opkar

Avatar

Correct answer by
Level 5

For future visitors, Deleting repoinit folder from my AEM instance fixed this issue for me. Either you can run below command

 rm -rf crx-quickstart/launchpad/config/org/apache/sling/jcr/repoinit OR delete the folder manually. 

 

Avatar

Level 1

this breaks crx/de and several configurations 
Needs a reindexing afterwards!

Avatar

Level 1

This worked for me as well out of all the fixes provided above (for AEM 6.5)

Avatar

Level 1

Thanks, this worked like a charm for me and saved a lot of hassles! Any idea as to why this happens ?

Avatar

Level 2

This solution also worked for me. We are currently on 6.5.13.

 

Thanks!!!

Avatar

Level 1

This is not the solution. we tried and didn't work still getting the same issue 

Avatar

Level 2

This solution not worked for me, I delete the folder. 

 

Currently I'm using Service pack 18.

Avatar

Level 2

For future visitors:  I received this error when attempting to start AEM 6.5.15 with Java 21.1.  Presently only Java 11 is supported.  Make sure you are using a supported java version.  

Avatar

Level 1

So for me, it was a completely different resolution. I am extremely new to AEM so I might not use the rigth terms here, but this might help someone else. 
My project was using AEM version 6.5.17 and after installing everything, it would throw this error. After searching on google for a couple of hours, I then found this link: `http://localhost:4502/system/console/bundles` . Upon restart, I went to this link, which gave me a new error with the following: -

 

HTTP ERROR 500 java.lang.NoClassDefFoundError: java/security/acl/Group

URI: /system/console/bundles

STATUS: 500

MESSAGE: java.lang.NoClassDefFoundError: java/security/acl/Group

SERVLET: org.apache.felix.http.base.internal.dispatch.DispatcherServlet-74708cc2

CAUSED BY: java.lang.NoClassDefFoundError: java/security/acl/Group

CAUSED BY: java.lang.ClassNotFoundException: java.security.acl.Group

 

 

Upon googling this, it turns out this was occurring because I was using the latest version of Java. The above 'library' is deprecated in the latest versions of Java, which is why a downgrade to Java 11 is required. You can use sdkman to switch changing versions of java, atleast on a Mac. Upon downgrading to Java 11, it worked.